Bug 114488 - EDITING: Writer is showing a low res image when copy/pasting a WMF image from Draw to Writer
Summary: EDITING: Writer is showing a low res image when copy/pasting a WMF image from...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:6.1.0 target:6.0.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2017-12-15 13:54 UTC by Telesto
Modified: 2018-01-19 09:24 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2017-12-15 13:54:47 UTC
Description:
EDITING: Writer is showing a low res image when copy/pasting a WMF image from Draw to Writer

Steps to Reproduce:
1. Open attachment 129637 [details] (bug 104677)
2. Copy the formula
3. Paste it into a Writer document

Actual Results:  
Low resolution image gets pasted

Expected Results:
The formula should be pasted


Reproducible: Always


User Profile Reset: No



Additional Info:
Found in
Version: 6.1.0.0.alpha0+
Build ID: cc1db6f2b0ebe05ae807628778835b62df00eca2
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-12-02_23:45:34
Locale: nl-NL (nl_NL); Calc: CL

but not in
Version: 5.4.0.1
Build ID: 962a9c4e2f56d1dbdd354b1becda28edd471f4f2
CPU threads: 4; OS: Windows 6.2; UI render: default; 
Locale: en-US (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Buovjaga 2017-12-25 11:08:11 UTC
Repro.

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: 12d3d90b87d1685d526f576eba62caa79c0df418
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Built on December 22nd 2017
Comment 2 Xisco Faulí 2018-01-04 12:52:17 UTC
Regression introduced by:

author	Samuel Mehrbrodt <Samuel.Mehrbrodt@cib.de>	2017-11-30 12:45:26 +0100
committer	Samuel Mehrbrodt <Samuel.Mehrbrodt@cib.de>	2017-12-01 08:20:28 +0100
commit	38602abc2d2b59bc3644e37797b9b1bc779fd993 (patch)
tree	8928d33e8316c242f0cbba93c0de26f2f77baf05
parent	e7f6fdd5c3805469e1905b11d11d9b01bef477a9 (diff)
tdf#113696 Write replacement graphic also to flat odf
Not only to zipped ODF

Bisected with: bibisect-linux64-6.1

Adding Cc: to Samuel Mehrbrodt
Comment 3 Commit Notification 2018-01-15 12:50:44 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3da86d8987db6223b0acc5d8a1b56f7e0c54bbef

tdf#114488 Rank multiple images also for flat odf

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2018-01-15 13:01:58 UTC
@Samuel, should it be backported to 6-0 and 6-0-0 ?
Comment 5 Samuel Mehrbrodt (CIB) 2018-01-15 13:43:48 UTC
(In reply to Xisco Faulí from comment #4)
> @Samuel, should it be backported to 6-0 and 6-0-0 ?

Does this affect the 6.0 series too? The report was only about 6.1.
Comment 6 Xisco Faulí 2018-01-15 14:17:08 UTC
(In reply to Samuel Mehrbrodt (CIB) from comment #5)
> (In reply to Xisco Faulí from comment #4)
> > @Samuel, should it be backported to 6-0 and 6-0-0 ?
> 
> Does this affect the 6.0 series too? The report was only about 6.1.

I see the commit in 

https://cgit.freedesktop.org/libreoffice/core/log/?h=libreoffice-6-0-0&qt=grep&q=Write+replacement+graphic+also+to+flat+odf

Besides I can reproduce it in

Versión: 6.0.0.2
Id. de compilación: 06b618bb6f431d27fd2def25aa19c833e29b61cd
Subproc. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; 
Configuración regional: es-ES (es_ES); Calc: group

Thus, it would be good to have it 6.0 branch and if possible, in 6-0-0 before rc3
Comment 7 Samuel Mehrbrodt (CIB) 2018-01-15 14:22:40 UTC
Ok, submitted patches for 6-0 and 6-0-0. Thanks for checking!
Comment 8 Commit Notification 2018-01-16 12:43:12 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=94f02cf29aedcf3187f04accfa7be87988a80cb0&h=libreoffice-6-0

tdf#114488 Rank multiple images also for flat odf

It will be available in 6.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2018-01-16 18:44:25 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-6-0-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=25c2a852ebe553a388701ec643743d026b1592f1&h=libreoffice-6-0-0

tdf#114488 Rank multiple images also for flat odf

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2018-01-19 09:24:14 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=acab4a99dcab546927712657c3ca4399a1b06fbb

Unit test for tdf#114488

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.